Get Projects by Team

Fetch a paginated list of all Projects belonging to a Team

認証

AuthorizationBearer

Bearer <token>形式のBearer認証。tokenは認証トークンです。

パスパラメータ

team_idstring必須形式: "uuid"

クエリパラメータ

filter[archived]stringオプション

Add this query param with the value all to return both archived and non-archived projects

レスポンスヘッダー

page-numberinteger
Current page of results
per-pageinteger
Number of entries per page
totalinteger
Total entries across all pagess
total-pagesinteger
Number of pages

レスポンス

Paginated projects success response
archive_statusenum
Archival status for this Project
許可された値:
archived_atstring形式: "date-time"
When a Project was archived
archived_file_countintegerデフォルト値 0
archived_storageintegerデフォルト値 0
collaborator_countintegerデフォルト値 0
deleted_atstring形式: "date-time"
If deleted, when this Project was deleted
descriptionstring
file_countintegerデフォルト値 0
folder_countintegerデフォルト値 0
idstring形式: "uuid"
ignore_archivebooleanデフォルト値 false
inserted_atstring形式: "date-time"
When was this Project created
invite_urlstring
namestring
Name of this Project
owner_idstring形式: "uuid"
privatebooleanデフォルト値 false
project_preferencesobject
read_onlybooleanデフォルト値 false
root_assetobject

Accepts arbitrary key/value pairs for storing information on an asset

root_asset_idstring形式: "uuid"
sharedbooleanデフォルト値 false
storageintegerデフォルト値 0
teamobject
team_idstring形式: "uuid"
updated_atstring形式: "date-time"
user_permissionsobject
user_preferencesobject
watermarkobject

エラー

401
Unauthorized Error
404
Not Found Error